> For the complete documentation index, see [llms.txt](https://docs.tsgglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tsgglobal.com/api-reference/phone-numbers/manage-number-for-voice/delete-destination-priority.md).

# Delete Destination Priority

## Overview

This method allows you to remove destination priorities for phone numbers.

## Authentication

{% hint style="info" %}
Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer \<api\_key>"
{% endhint %}

## Method

## Delete a destination priority associated with a phone number.

<mark style="color:red;">`DELETE`</mark> `https://api-service.tsgglobal.world/v1/did/priority`

#### Path Parameters

| Name                                       | Type   | Description                         |
| ------------------------------------------ | ------ | ----------------------------------- |
| did<mark style="color:red;">\*</mark>      | String | The phone number (e.g. 12022011234) |
| priority<mark style="color:red;">\*</mark> | String | 1-3 in order of preferred priority. |

## Example POST

```
curl -n https://api-service.tsgglobal.world/v1/did/priority -XDELETE -H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" -d '{
  "did": "12003004000",
  "priority": 2
}'
```

## **Error Codes**

* `-1000` Invalid or Blank API Key
* `-1003` Invalid or No DID Provided
* `-1004` Invalid or No Priority Provided
* `-1007` Priority Does NOT Exists, Delete an already created priority.
* `-1008` Deleted Priority from Routing.
* `-1010` Can not Delete Priority 1, Please Submit a DID cancel request.

{% hint style="info" %}
**Good to know:** message scheduling can be specified for up to 2 years in advance. We guarantee up to the minute accuracy.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tsgglobal.com/api-reference/phone-numbers/manage-number-for-voice/delete-destination-priority.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
